package com.yd.api.practitioner.service;

import com.yd.api.practitioner.vo.sechedule.*;
import org.springframework.stereotype.Service;

@Service("scheduleTrackService")
public interface ScheduleTrackService {
    AddScheduleTrackResponseVO insert(AddScheduleTrackRequestVO requestVO);

    QueryScheduleTrackListResponseVO queryScheduleTrackList(QueryScheduleTrackListRequestVO requestVO);

    QueryPEPScoreResponseVO queryPEPScore(QueryPEPScoreRequestVO requestVO);

    QueryPEPScoreDetailResponseVO queryPEPScoreDetail(QueryPEPScoreDetailRequestVO requestVO);

    DeleteScheduleByIdResponseVO deleteScheduleTrackById(DeleteScheduleTrackByIdRequestVO requestVO);
}
